---
title: "Update contact group"
url: "https://docs.signnow.com/docs/contact-groups/operations/put-v2-crm-groups-group_id"
type: "endpoint"
section: "contact-groups"
slug: "contact-groups/operations/put-v2-crm-groups-group_id"
method: "PUT"
path: "/v2/crm/groups/{group_id}"
operation_id: "put-v2-crm-groups-group_id"
authorization: "bearer"
---

# Update contact group

`PUT /v2/crm/groups/{group_id}`

Allows users to rename the contact group.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `group_id` | string | Yes | ID of the contact group. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "name"
  ],
  "properties": {
    "name": {
      "type": "string",
      "description": "The updated group name."
    }
  }
}
```

## Responses

### 204

Contacts group has been updated successfully

### 400

* Request with any of these cases:

invalid token of user
expired token of user
empty header
authorization = null
authorization without value

* Request without group name or with empty group name
* Group name must be a string
* Group name contains invalid characters
* Group name length exceeded

**Example** (`Authorization issues`)

```json
{
  "code": 1537,
  "message": "invalid_token"
}
```

**Example** (`Group name length exceeded`)

```json
{
  "code": 27405005,
  "message": "Group name length must be not more than 40 characters"
}
```

**Example** (`Group name must be a string`)

```json
{
  "code": 27405003,
  "message": "Group name must be a string"
}
```

**Example** (`Group name contains invalid characters`)

```json
{
  "code": 27405004,
  "message": "Group name contains invalid characters"
}
```

**Example** (`Request without group name or empty group name`)

```json
{
  "code": 27405002,
  "message": "Group name is required"
}
```

### 404

Contacts group not found or does not belong to authorized user

**Example** (`Contacts group not found `)

```json
{
  "code": 27405001,
  "message": "Group not found"
}
```

### 405

Method Not Allowed

**Example** (`Not allowed to use this HTTP method`)

```json
{
  "message": "The GET method is not supported for this route. Supported methods: DELETE."
}
```

### 422

Group name already exists

**Example** (`Group name already exists`)

```json
{
  "code": 27405006,
  "message": "Group with such a name already exists"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/crm/groups/{group_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/contact-groups/operations/put-v2-crm-groups-group_id*
